<form action="/wp-admin/options-general.php?page=elementor_forms-amocrm" method="post">
    <input type="hidden" name="action" value="save_settings">
    <input type="hidden" name="nonce" value="<?php echo wp_create_nonce('cf7-amocrm-settings_page'); ?>">
    <div class="wrap">
        <h2 class="aci-title">
            <span><?php _e( 'Integration custom forms with amoCRM', 'elementor_forms-amocrm' ) ?></span> 
            <a class="button button-order button-large" target="_blank" href="https://devamo.ru/elementor/payurl?url=<?php echo $_SERVER['SERVER_NAME'] ?>"><?php _e( 'Pay for a subscription', 'elementor_forms-amocrm' ) ?></a>
            <a class="button button-auth button-large" target="_blank" href="https://devamo.ru/elementor/button"><?php _e( 'Authorization in amoCRM', 'elementor_forms-amocrm' ) ?></a>
            <a class="button button-red button-large" href="/wp-admin/options-general.php?page=elementor_forms-amocrm&clear=1"><?php _e( 'Update amoCRM data', 'elementor_forms-amocrm' ) ?></a>
            <a class="button button-blue button-large" href="/wp-admin/options-general.php?page=elementor_forms-amocrm&testing"><?php _e( 'Testing', 'elementor_forms-amocrm' ) ?></a>
            <a class="button button-default button-large" href="/wp-admin/options-general.php?page=elementor_forms-amocrm&logs"><?php _e( 'Logs', 'elementor_forms-amocrm' ) ?></a>
        </h2>

        <div class="card" style="max-width:100%">

            <div>
                <h2 class="title"><?php _e( 'Testing', 'elementor_forms-amocrm' ) ?></h2>
                <hr>

                <div class="row">
                    <div class="name"><?php _e( 'Curl library', 'elementor_forms-amocrm' ) ?></div>
                    <div class="value"><?php echo $curl ?></div>
                </div>

                <div class="row">
                    <div class="name"><?php _e( 'Subscription to integration', 'elementor_forms-amocrm' ) ?></div>
                    <div class="value"><?php echo $subscribe ?></div>
                </div>

                <div class="row">
                    <div class="name"><?php _e( 'Authorization', 'elementor_forms-amocrm' ) ?></div>
                    <div class="value"><?php echo $auth ?></div>
                </div>               

                <div class="row">
                    <div class="name"><?php _e( 'Installed version of the plugin', 'elementor_forms-amocrm' ) ?></div>
                    <div class="value"><?php echo $current_version ?></div>
                </div>
               
                <div class="row">
                    <div class="name"><?php _e( 'The latest version of the plugin', 'elementor_forms-amocrm' ) ?></div>
                    <div class="value"><?php echo $version ?> (<a target="_blank" href="https://devamo.ru/downloads/elementor/elementor_forms-amocrm.zip?v=<?= time() ?>"><?php _e( 'download', 'elementor_forms-amocrm' ) ?></a>)</div>
                </div>

            </div>

		</div>
    </div>
</form>
<script>
    var pipelines = false;
    var pipeline_id = false;
    var pipeline_status = false;
</script>